<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion

require_once("../includes/funciones_generales.php");
if(!comprobar_sesion()){
	$ar=array();
	$ar['error']='session';
	echo json_encode($ar);
	exit;
}
require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

if(isset($_POST['oper'])){
	
	$acction=$_POST['oper'];
	$codigo=$_POST['id']; //codigo del regidtro
	$fecha=$_POST['txt_fecha_inasis'];
	$tip_inasis=$_POST['txt_tipo_falta_inasis'];
	$obs=$_POST['txt_obs_inasis'];
	$cod_estxasixgr=$_POST['txt_materia_inasis'];
	$periodo=$_POST['periodo'];

	switch($acction){
		case 'del':
			$sql="delete from `aca_inasistencias`  WHERE id_inasistencia = '$codigo';";
		break;
		case 'edit';
			$sql="UPDATE aca_inasistencias
				SET cod_estxasigxgrupo = '$cod_estxasixgr',periodo = '$periodo',fecha_falta = '$fecha',justificada = '$tip_inasis',obser_falta = '$obs' WHERE id_inasistencia = '$codigo'";
		break;
		case 'new':
			$sql="INSERT INTO aca_inasistencias (cod_estxasigxgrupo,periodo,fecha_falta,justificada,obser_falta) VALUES ('$cod_estxasixgr','$periodo','$fecha','$tip_inasis','$obs');";
		break;
		default:
			$sql="";
	}
	//echo $sql;
	if($sql!=''){
		$academia->instruccion($sql);
		if($acction=='new'){
			$rta=array('error'=>$academia->extraer_error(),'id'=>$academia->ultima_fila());
			echo json_encode($rta);
		}else{
			$rta=array('error'=>$academia->extraer_error(),'id'=>$codigo);
			echo json_encode($rta);
		}
	}		
}
$academia->cerrar();
?>